# na_cdot_qtree – Manage qtrees

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | Updated modules released with increased functionality
Alternative: | Use na_ontap_qtree instead.

## Synopsis

- Create or destroy Qtrees.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3
- Ansible 2.2
- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
flexvol_name - |  | The name of the FlexVol the Qtree should exist on. Required when `state=present`.
hostname - / required |  | The hostname or IP address of the ONTAP instance.
name - / required |  | The name of the Qtree to manage.
password - / required |  | Password for the specified user. aliases: pass

state
- / required

Choices:
- present
- absent

Whether the specified Qtree should exist or not.

username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user
vserver - / required |  | The name of the vserver to use.

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Create QTree
      na_cdot_qtree:
        state: present
        name: ansibleQTree
        flexvol_name: ansibleVolume
        vserver: ansibleVServer
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

    - name: Rename QTree
      na_cdot_qtree:
        state: present
        name: ansibleQTree
        flexvol_name: ansibleVolume
        vserver: ansibleVServer
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.